<?php
/*
 Simple:Press
 TinyMCE Editor plugin install/upgrade routine
 */

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_tinymce_do_install() {
         # Check if already exists - i.e, this is an upgrade
        $tbmeta = sp_get_sfmeta('tinymce_toolbar', 'default');
         if (!empty($tbmeta)) {
                 # Can't be helped - we will have to remove the old versions first
                sp_tinymce_remove_old_meta();
         }

         # Create the new tinymce data
        $tinymce = array();
         $tinymce['height']                      = "360";
         $tinymce['rejectformat']        = false;
         $tinymce['relative']            = true;
         $tinymce['lang']                        = 'en';
         $tinymce['rtl']                         = false;
         $tinymce['plugins']                     = "inlinepopups,media,spoiler,spellchecker,paste";
         $tinymce['buttons1']            = "bold,italic,underline,|,bullist,numlist,|,blockquote,outdent,indent,|,link,unlink,|,undo,redo,forecolor,charmap,|,image";
         $tinymce['buttons2']            = "";
         $tinymce['buttons1add']         = "media,|,spoiler,|,pastetext,pasteword,|,selectall,code,|,spellchecker";
         $tinymce['buttons2add']         = "";

         sp_add_option('tinymce', $tinymcem);
     sp_update_option('tinymcedb', SPTMDB);
}

function sp_tinymce_remove_old_meta() {
         $tb = sp_get_sfmeta('tinymce_toolbar');
         if ($tb) {
                 foreach($tb as $t) {
                         sp_delete_sfmeta($t['meta_id']);
                 }
         }
}

function sp_tinymce_do_upgrade() {
     $tinymcedb = sp_get_option('tinymcedb');
     if (empty($tinymcedb)) $tinymcedb = 0;

     # quick bail check
    if ($tinymcedb == SPTMDB ) return;

     # apply upgrades as needed
    if (SPTMDB == 1) {
                 $tm = sp_get_option('tinymce');
                 # Unserialise again for the last time!
                $tm = unserialize($tm);

                 # Correct the double serialisation of the tinymce options
                # and remove the old preview button
                $tm['plugins']          = str_replace(',preview', '', $tm['plugins']);
                 $tm['buttons1add']      = str_replace(',preview', '', $tm['buttons1add']);
                 sp_update_option('tinymce', $tm);
         }

     # save data
    sp_update_option('tinymcedb', SPTMDB);
}






















?>
